Requirements

WP Statistics requires a few things to work:

  • WordPress 3.0 or above
  • PHP 5.4 or above
  • MySQL 5.0 or above

WP Statistics might work on older versions of the above software, but then again, it might not (it does NOT function on any PHP versions before 5.3).

The GeoIP support also requires a few additional items to function:

  • the cURL extension for PHP
  • PHP cannot be running in safe mode

WP Statistics requires a significant amount of RAM for the statistics pages, especially the overview page, make sure to set your PHP memory limit high enough to support it. While every site has different memory requirements, a reasonable rule of thumb is at least 36 megabytes and significantly higher is not unreasonable (128-256 megabytes).